Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.util.xml
Class XMLProyecto

    java.lang.Object
      eia.util.xml.XMLTools
          eia.util.xml.XMLProyecto

    public class XMLProyecto

extends XMLTools

Clase que implementa el manejo de los ficheros XML con la información de un proyecto EIA.

Constructor Summary
`XMLProyecto(java.lang.String dtd)` Constructor por parámetros.

Method Summary
`void` | `escribir(java.lang.Object o, java.lang.String archivo)` Método que alamacena informacion en un fichero XML.
`Proyecto` | `leer(java.lang.String filename)` El método leer recupera un proyecto con la información almacenada en el documento XML.

Methods inherited from class eia.util.xml.XMLTools
`getDtd, readFile, setDtd, writeFile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLProyecto

    public XMLProyecto(java.lang.String dtd)

  Constructor por parámetros.

  Parameters:
    `dtd` - DTD a asignar.

Method Detail

### leer

    public Proyecto leer(java.lang.String filename)

  El método leer recupera un proyecto con la información almacenada en el documento XML.

  Specified by:
    `leer` in class `XMLTools`
  Parameters:
    `filename` - Ruta del fichero con el proyecto a leer.
  Returns:
    Proyecto de EIA con la información contenida en el fichero.

### escribir

    public void escribir(java.lang.Object o,
                         java.lang.String archivo)

  Método que alamacena informacion en un fichero XML.

  Specified by:
    `escribir` in class `XMLTools`
  Parameters:
    `o` - Información del proyecto a almacenar.
    `archivo` - Ruta del fichero XML donde queremos almacenar la información.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD